using System;
using System.IO;
using System.Collections;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Convert Word Excel PowerPoint to PDF files
			//If you need more information about UseOffice .Net email us at:
			//support[at]sautinsoft.com		
			

			SautinSoft.UseOffice u = new SautinSoft.UseOffice();

			//directory which contains Word, Excel, PowerPoint files: *.doc, *.docx, *.rtf, *.txt, *.xls, *.xlsx, *.csv, *.ppt, *.pptx
			string directoryWithFiles = Path.GetFullPath(Path.Combine(Directory.GetCurrentDirectory(),@"..\..\..\..\..\..\Testing files\"));

			//Prepare UseOffice .Net, loads MS Word, Excel, PowerPoint into memory
			int ret = u.InitOffice();
			

			//Return values:
			//0 - Loading successfully
			//1 - Can't load MS Excel (Word and PowePoint are loaded successfully)
			//10 - Can't load MS Word (Excel and PowerPoint are loaded successfully)
			//11 - Can't load MS Word and Excel (PowerPoint loaded successfully)
			//100 - Can't load MS PowerPoint (Excel and Word are loaded successfully)
			//101 - Can't load MS Excel and PowerPoint (Word loaded successfully)
			//110 - Can't load PowerPoint and Word (Excel loaded successfully)
			//111 - Can't load MS Office 

			if (ret==111)
				return;
			
			string [] filters = null;

			switch (ret)
			{
				case 0	: filters = new string []{"*.doc", "*.docx", "*.rtf", "*.txt", "*.xls", "*.xlsx", "*.csv", "*.ppt", "*.pptx"}; break;
				case 1	: filters = new string []{"*.doc", "*.docx", "*.rtf", "*.txt", "*.ppt", "*.pptx"}; break;
				case 10	: filters = new string []{"*.xls", "*.xlsx", "*.csv", "*.ppt", "*.pptx"}; break;
				case 11	: filters = new string []{"*.ppt", "*.pptx"}; break;
				case 100: filters = new string []{"*.doc", "*.docx", "*.rtf", "*.txt", "*.xls", "*.xlsx", "*.csv"}; break;
				case 101: filters = new string []{"*.doc", "*.docx", "*.rtf", "*.txt"}; break;
				case 110: filters = new string []{"*.xls", "*.xlsx", "*.csv"}; break;
				default	: return;
			}

			//Convert all Word, Excel, PorwerPoint files to PDF from specifed directory
		
			//1. Get list of MS Office files from directory

			
			ArrayList documents = new ArrayList();
			

			foreach(string filter in filters)
			{
				documents.AddRange(Directory.GetFiles(directoryWithFiles, filter));
			}


			//2. Convert to PDF
			string ext ="";
			string outPutFile = "";
			for (int i=0; i<documents.Count; i++)
			{
				SautinSoft.UseOffice.eDirection direction = SautinSoft.UseOffice.eDirection.DOC_to_PDF;
				ext = Path.GetExtension((string)documents[i]).ToLower();

				if (ext.IndexOf("doc")>0)
					direction = SautinSoft.UseOffice.eDirection.DOC_to_PDF;
				else if (ext.IndexOf("rtf")>0)
					direction = SautinSoft.UseOffice.eDirection.RTF_to_PDF;			
				else if (ext.IndexOf("txt")>0)
					direction = SautinSoft.UseOffice.eDirection.RTF_to_PDF;
				else if (ext.IndexOf("xls")>0)
					direction = SautinSoft.UseOffice.eDirection.XLS_to_PDF;
				else if (ext.IndexOf("csv")>0)
					direction = SautinSoft.UseOffice.eDirection.XLS_to_PDF;
				else if (ext.IndexOf("ppt")>0)
					direction = SautinSoft.UseOffice.eDirection.PPT_to_PDF;

				outPutFile = Path.Combine(Path.GetDirectoryName((string)documents[i]),Path.GetFileNameWithoutExtension((string)documents[i]));
				outPutFile+=".pdf";				
				u.ConvertFile((string)documents[i],outPutFile, direction);
			}

			u.CloseOffice();			
		
		}
	}
}
