Imports System
Imports System.IO
Imports System.Text
Imports System.Collections
Imports SautinSoft


Module Module1
    Sub Main()
        ' Convert PDF file to DOCX file. Works only in Office 2013 and higher.
        ' If you are looking for PDF to Word solution independent from MS Office
        ' You may take a look at: http://www.sautinsoft.com/products/pdf-focus/index.php

        Dim u As New SautinSoft.UseOffice()

        ' Input PDF document path
        Dim inFile As String = Path.GetFullPath(Path.Combine(Directory.GetCurrentDirectory(), "..\..\..\..\..\Testing files\simple text.pdf"))
        ' Path to an output file
        Dim outFile As String = Path.ChangeExtension(inFile, ".docx")

        ' Prepare UseOffice .Net, loads MS Word in memory
        If u.InitWord() <> 0 Then
            Console.WriteLine("Error: Can't load MS Word in memory!")
            Console.WriteLine("Please contact SautinSoft's support Team: support@sautinsoft.com.")
            Console.ReadLine()
        End If

        ' Check MS Office version
        If u.OfficeVersion >= UseOffice.eOfficeVersion.Office2013 Then
            ' Converting ...
            Dim result As Integer = u.ConvertFile(inFile, outFile, UseOffice.eDirection.PDF_to_DOCX)

            If result = 0 Then
                Console.WriteLine("Converting succesuflly!")
                System.Diagnostics.Process.Start(outFile)
            Else
                Console.WriteLine("Converting failed!")
                Console.ReadLine()
            End If
        Else
            Console.WriteLine("To convert PDF documents, please install MS Office 2013 or higher.")
            Console.ReadLine()
        End If

        u.CloseOffice()
    End Sub
End Module
