Imports System
Imports System.IO
Imports System.Text
Imports System.Collections


Module Module1
    Sub Main()
        'Convert Word Excel PowerPoint to PDF files
        'If you need more information about UseOffice .Net email us at:
        'support[at]sautinsoft.com		


        Dim u As New SautinSoft.UseOffice

        'directory which contains Word, Excel, PowerPoint files: *.doc, *.docx, *.rtf, *.txt, *.xls, *.xlsx, *.csv, *.ppt, *.pptx
        Dim directoryWithFiles As String = Path.GetFullPath(Path.Combine(Directory.GetCurrentDirectory(), "..\..\..\..\..\Testing files\"))

        'Prepare UseOffice .Net, loads MS Word, Excel, PowerPoint into memory
        Dim ret As Integer = u.InitOffice()


        'Return values:
        '0 - Loading successfully
        '1 - Can't load MS Excel (Word and PowePoint are loaded successfully)
        '10 - Can't load MS Word (Excel and PowerPoint are loaded successfully)
        '11 - Can't load MS Word and Excel (PowerPoint loaded successfully)
        '100 - Can't load MS PowerPoint (Excel and Word are loaded successfully)
        '101 - Can't load MS Excel and PowerPoint (Word loaded successfully)
        '110 - Can't load PowerPoint and Word (Excel loaded successfully)
        '111 - Can't load MS Office 

        If ret = 111 Then
            Return
        End If

        Dim filters() As String = Nothing

        Select Case ret
            Case 0
                filters = New String() {"*.doc", "*.docx", "*.rtf", "*.txt", "*.xls", "*.xlsx", "*.csv", "*.ppt", "*.pptx"}
            Case 1
                filters = New String() {"*.doc", "*.docx", "*.rtf", "*.txt", "*.ppt", "*.pptx"}
            Case 10
                filters = New String() {"*.xls", "*.xlsx", "*.csv", "*.ppt", "*.pptx"}
            Case 11
                filters = New String() {"*.ppt", "*.pptx"}
            Case 100
                filters = New String() {"*.doc", "*.docx", "*.rtf", "*.txt", "*.xls", "*.xlsx", "*.csv"}
            Case 101
                filters = New String() {"*.doc", "*.docx", "*.rtf", "*.txt"}
            Case 110
                filters = New String() {"*.xls", "*.xlsx", "*.csv"}
            Case Else
                Return
        End Select

        'Convert all Word, Excel, PorwerPoint files to PDF from specifed directory

        '1. Get list of MS Office files from directory


        Dim documents As New ArrayList


        For Each filter As String In filters
            documents.AddRange(Directory.GetFiles(directoryWithFiles, filter))
        Next filter


        '2. Convert to PDF
        Dim ext As String = ""
        Dim outPutFile As String = ""
        For i As Integer = 0 To documents.Count - 1
            Dim direction As SautinSoft.UseOffice.eDirection = SautinSoft.UseOffice.eDirection.DOC_to_PDF
            ext = Path.GetExtension(CStr(documents(i))).ToLower()

            If ext.IndexOf("doc") > 0 Then
                direction = SautinSoft.UseOffice.eDirection.DOC_to_PDF
            ElseIf ext.IndexOf("rtf") > 0 Then
                direction = SautinSoft.UseOffice.eDirection.RTF_to_PDF
            ElseIf ext.IndexOf("txt") > 0 Then
                direction = SautinSoft.UseOffice.eDirection.RTF_to_PDF
            ElseIf ext.IndexOf("xls") > 0 Then
                direction = SautinSoft.UseOffice.eDirection.XLS_to_PDF
            ElseIf ext.IndexOf("csv") > 0 Then
                direction = SautinSoft.UseOffice.eDirection.XLS_to_PDF
            ElseIf ext.IndexOf("ppt") > 0 Then
                direction = SautinSoft.UseOffice.eDirection.PPT_to_PDF
            End If

            outPutFile = Path.Combine(Path.GetDirectoryName(CStr(documents(i))), Path.GetFileNameWithoutExtension(CStr(documents(i))))
            outPutFile &= ".pdf"
            u.ConvertFile(CStr(documents(i)), outPutFile, direction)
        Next i

        u.CloseOffice()
    End Sub
End Module
